TaskTimeoutException (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.core.task

## Class TaskTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.util.concurrent.RejectedExecutionException
        - - org.springframework.core.task.TaskRejectedException
          - - org.springframework.core.task.TaskTimeoutException

- All Implemented Interfaces:
    Serializable

      public class TaskTimeoutException
      extends TaskRejectedException

  Exception thrown when a `AsyncTaskExecutor` rejects to accept a given task for execution because of the specified timeout.
  Since:
    2.0.3
  Author:
    Juergen Hoeller
  See Also:
    `AsyncTaskExecutor.execute(Runnable, long)`, `TaskRejectedException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskTimeoutException(String msg)` Create a new `TaskTimeoutException` with the specified detail message and no root cause.
    `TaskTimeoutException(String msg, Throwable cause)` Create a new `TaskTimeoutException` with the specified detail message and the given root cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskTimeoutException

          public TaskTimeoutException(String msg)

      Create a new `TaskTimeoutException` with the specified detail message and no root cause.
      Parameters:
        `msg` - the detail message

    - #### TaskTimeoutException

          public TaskTimeoutException(String msg,
                              Throwable cause)

      Create a new `TaskTimeoutException` with the specified detail message and the given root cause.
      Parameters:
        `msg` - the detail message
        `cause` - the root cause (usually from using an underlying API such as the `java.util.concurrent` package)
      See Also:
        `RejectedExecutionException`